Ich würde ein Book, welches nicht noch mind. die nächste Betriebssystemversion verträgt, nicht mehr upgraden …


Beim MacBook Pro 5,4 handelt es sich um ein Gerät von Mitte 2009 [everymac.com], welches nur noch mit OS X 10.11 (El Capitan) betrieben werden kann.
----------
Christian, MacFix